Bug 848266 - [vdsm] 3.1 - AttributeError: 'Drive' object has no attribute 'shared'
[vdsm] 3.1 - AttributeError: 'Drive' object has no attribute 'shared'
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
Unspecified Unspecified
high Severity urgent
: beta
: ---
Assigned To: Dan Kenigsberg
Haim
storage
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 00:41 EDT by Chao Yang
Modified: 2014-01-12 19:53 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 06:28:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm log when trying to start VM after upgrade (23.91 KB, text/plain)
2012-08-15 00:41 EDT, Chao Yang
no flags Details
engine log while trying to start up VM on vdsm-28 (20.85 KB, text/plain)
2012-08-15 03:37 EDT, Chao Yang
no flags Details

  None (edit)
Description Chao Yang 2012-08-15 00:41:46 EDT
Created attachment 604499 [details]
vdsm log when trying to start VM after upgrade

Description of problem:
I configured a VM with iSCSI type, 3.1 compatibility. After shutdown this VM, I upgraded the version of vdsm from vdsm-4.9.6-26.0.el6_3.x86_64 to vdsm-4.9.6-28.0.el6_3.x86_64. But VM failed to start up on error:

Thread-32::ERROR::2012-08-15 11:34:29,140::vm::605::vm.Vm::(_startUnderlyingVm) vmId=`2445ad59-8c84-4315-9119-3f2f4820b946`::The vm start process failed
Traceback (most recent call last):
  File "/usr/share/vdsm/vm.py", line 571, in _startUnderlyingVm
    self._run()
  File "/usr/share/vdsm/libvirtvm.py", line 1344, in _run
    domxml = hooks.before_vm_start(self._buildCmdLine(), self.conf)
  File "/usr/share/vdsm/libvirtvm.py", line 1206, in _buildCmdLine
    devElem = dev.getXML()
  File "/usr/share/vdsm/libvirtvm.py", line 1066, in getXML
    if  utils.tobool(self.shared):
AttributeError: 'Drive' object has no attribute 'shared'
Thread-32::DEBUG::2012-08-15 11:34:29,146::vm::921::vm.Vm::(setDownStatus) vmId=`2445ad59-8c84-4315-9119-3f2f4820b946`::Changed state to Down: 'Drive' object has no attribute 'shared'

Version-Release number of selected component (if applicable):
vdsm-4.9.6-26.0.el6_3.x86_64

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Upgrade to vdsm-4.9.6-27.0.el6_3.x86_64, hit same error.
Comment 7 Itamar Heim 2012-08-15 03:02:17 EDT
"I configured a VM with iSCSI type, "
on an iscsi storage domain
or with a directly attach iscsi lun disk?
Comment 8 Chao Yang 2012-08-15 03:11:46 EDT
(In reply to comment #7)
> "I configured a VM with iSCSI type, "
> on an iscsi storage domain
> or with a directly attach iscsi lun disk?
An iscsi storage domain
Comment 10 Chao Yang 2012-08-15 03:37:50 EDT
Created attachment 604527 [details]
engine log while trying to start up VM on vdsm-28

Note You need to log in before you can comment on or make changes to this bug.